## sane-backends 1.1.1

=== debian/changelog ===
sane-backends (1.1.1-5~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Sep 2022 12:55:57 -0700

sane-backends (1.1.1-5) unstable; urgency=medium

  * debian/rules:
    - Change configure parameter --enable-parport-directio to use only on 
      hurd-i386 (Closes: #1008488).
  * debian/control:
   - Change Build-Depend from virtual package libltdl3-dev to libltdl-dev.
  * New debian/patches/0195-genesys_fix_total_file_size_exceeding.patch:
   - Fix out off memory on high resultions (Closes: #942176)
     Cherry-picked from upstream.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 27 Mar 2022 18:31:28 +0200

sane-backends (1.1.1-4) unstable; urgency=medium

  * debian/sane-utils.preinst: Remove man file only on update.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 26 Feb 2022 14:47:49 +0100

sane-backends (1.1.1-3) unstable; urgency=medium

  * Remove test artefact (debian/1.sh).
  * debian/changelog:
    - Fix spelling error (Closes: #1006116).
  * debian/sane-utils.postinst:
    - Remove not longer requested home directory move.
  * debian/sane-utils.postrm:
    - Don't remove group scanner (Closes: #1005737).
  * debian/control:
    - Add Recommends: sane-airscan to libsane1 (Closes: 1005817).
  * Move man page sane-umax_pp.5 back to libsane-common (Closes: #1005736):
    - debian/rules:
      - Remove delete manpage from libsane-common.
    - New debian/sane-utils.preinst to remove man page and symlink.
    - debian/sane-utils.link:
      - Remove create link from sane-umax_pp.5
    - debian/control:
      - Add new Breaks and Replace.
  * New debian/patches/0185-Change_output_from_sane-find-scanner.patch:
    - Improve output for possible USB scanners (Closes: #983332).
  * debian/libsane1.symbols:
    - Add !kfreebsd-any to missing symbol.
  * debian/copyright:
    - Refresh Upstream Contact and Source.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 23 Feb 2022 09:28:33 +0100

sane-backends (1.1.1-2) unstable; urgency=medium

  * debian/sane-utils.postinst:
    - Fix syntax error (Closes: #1005102).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 07 Feb 2022 20:35:48 +0100

sane-backends (1.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove not longer needed patches:
      + 0180-gt68xx_fix_use-after-free_two_memleaks.patch
      + 0600-scanimage_manpage.patch
    - Refresh patches:
      + 0605-fix_groff-warnings.patch
      + 0100-source_spelling.patch
    - Closes: #920216, #998616.
  * debian/copyright:
    - Refresh to the new upstream release.
    - Add 2022 to myself.
  * Remove *.lintian-overrides.
  * debian/sane-utils.postinst:
    - Add home dir for user/group saned (Closes: #995732).
  * debian/sane-utils.postrm:
    - Use --remove-home instead --remove-all-files (Closes: #1001960).
  * Reactivate debian/patches/0125-multiarch_dll_search_path.patch
    (Closes: #1002704).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 06 Feb 2022 10:51:26 +0100
