## sane-backends 1.2.1

=== debian/changelog ===
sane-backends (1.2.1-7build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:09:26 +0000

sane-backends (1.2.1-7build3) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:38:10 +1300

sane-backends (1.2.1-7build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:22:32 +0000

sane-backends (1.2.1-7build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:10:37 +0000

sane-backends (1.2.1-7) unstable; urgency=medium

  * debian/rules:
    - Fix FTCBFS: confuses build/host compiler flags (Closes: #1057649).
      Thanks to Emanuele Rocca <ema@debian.org>.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 17 Dec 2023 13:05:00 +0100

sane-backends (1.2.1-6) unstable; urgency=medium

  * libsane1: move udev files to /usr, with protective diversion
    against m-a: same file loss on upgrades (DEP17 P7 M10). Diversion can be
    removed in Forky (Closes: #1056725).
    Thanks to Chris Hofstaedtler <zeha@debian.org>.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 25 Nov 2023 19:52:57 +0100

sane-backends (1.2.1-5) unstable; urgency=medium

  * debian/rules:
    - Fix Fails to build source after successful build (Closes: #1046783).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 14 Aug 2023 17:10:14 +0200

sane-backends (1.2.1-4) unstable; urgency=medium

  * Fix FTBFS on hurd-i386 (Closes: #1040123):
    - debian/rules: Remove --enable-parport-directio.
      Thanks to Pino Toscano <pino@debian.org>.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 09 Jul 2023 19:16:00 +0200

sane-backends (1.2.1-3) unstable; urgency=medium

  * debian/control:
    - Drop transitional package libsane (Closes: #1038302).
      + Thanks to Holger Levsen <holger@layer-acht.org>.
    - Change to new repository URL.
  * debian/patches/0040-remove_git.patch:
    - Update .tarball-version to the current version (Closes: #1036870).
      + Thanks to Jan Binder <jb-debbugs@nlogn.org>.
  * debian/patches/0175-fix_tests.patch:
    - Update to the current version.
  * New debian/po/ro.po (Closes: #1033709).
    - Thanks to "Remus-Gabriel Chelu" <remusgabriel.chelu@disroot.org>.
  * debian/copyright:
    - Correcting the license of debian/po/fr.po to GPL-2+ with sane exception
      and remove the GFDL-1.1 text (Closes: #1033979).
      + Thanks to Bastian Germann <bage@debian.org>

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 19 Jun 2023 08:41:14 +0200

sane-backends (1.2.1-2) unstable; urgency=medium

  * Fix remove wrong remove manpage (Closes: #1035677):
    - Remove debian/sane-utils.preinst.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 16 May 2023 18:49:09 +0200

sane-backends (1.2.1-1) unstable; urgency=medium

  * New upstream release:
    - Remove not longer needed patches:
      + 0195-genesys_fix_total_file_size_exceeding.patch
      + 0035-trim-libraries-in-sane-backends.pc.in.patch
      + 0045-disable_lock_test_at_build_time.patch
      + 0185-Change_output_from_sane-find-scanner.patch
    - Refresh patches:
      + 0705-kfreebsd.patch
      + 0060-cross.patch
      + 0100-source_spelling.patch
  * debian/control:
    - Remove obsolete package Depends lsb-base.
    - Add libpng-dev to Build-Depends.
  * Declare compliance with Debian Policy 4.6.2.0 (No changes needed).
  * debian/copyright:
    - Refresh to the new upstream release.
    - Add 2023 to myself.
  * debian/changelog:
    - Remove trailing whitespace.
  * Remove obsolete files:
    - debian/libsane-common.maintscript
    - debian/NEWS
    - debian/libsane1.NEWS

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 13 Feb 2023 19:25:08 +0100

sane-backends (1.1.1-6) unstable; urgency=medium

  * debian/rules:
    - Remove # before $(INS_CONF).
  * Fix build error with gcc12 (Closes: #1013034):
    - New debian/patches/0200-disable-check-equal-stderr.patch.
      + Thanks to Nathan Pratta Teodosio <nathan.teodosio@canonical.com>.
  * debian/sane-utils.postrm:
    - Fix purge error (Closes: #1008822).
  * debian/sane-utils.postinst:
    - Fix inetd handling (Closes: #1009354).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 02 Oct 2022 09:54:28 +0200
