=== debian/control ===
--- 
+++ 
@@ -1,46 +1,49 @@
 Source: sane-backends
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Standards-Version: 4.6.0
-Build-Depends: autoconf,
-               autoconf-archive,
-               chrpath,
-               debhelper-compat (= 13),
-               gettext,
-               libavahi-client-dev,
-               libcam-dev [kfreebsd-any],
-               libcups2-dev,
-               libcurl4-gnutls-dev,
-               libgphoto2-dev,
-               libieee1284-3-dev [!hurd-i386],
-               libjpeg-dev,
-               libltdl-dev,
-               libpoppler-glib-dev,
-               libsnmp-dev [!kfreebsd-any],
-               libsystemd-dev [linux-any],
-               libtiff-dev,
-               libusb-1.0-0-dev,
-               libxml2-dev,
-               pkg-config,
-               po-debconf,
-               python3-minimal:any,
-               xutils-dev
+Standards-Version: 4.6.2.0
+Build-Depends:
+ autoconf,
+ autoconf-archive,
+ chrpath,
+ debhelper-compat (= 13),
+ gettext,
+ libavahi-client-dev,
+ libcam-dev [kfreebsd-any],
+ libcups2-dev,
+ libcurl4-gnutls-dev,
+ libgphoto2-dev,
+ libieee1284-3-dev [!hurd-i386],
+ libjpeg-dev,
+ libltdl-dev,
+ libpng-dev,
+ libpoppler-glib-dev,
+ libsnmp-dev [!kfreebsd-any],
+ libsystemd-dev [linux-any],
+ libtiff-dev,
+ libusb-1.0-0-dev,
+ libxml2-dev,
+ pkg-config,
+ po-debconf,
+ xutils-dev,
+ python3-minimal:any
 Homepage: http://www.sane-project.org
-Vcs-Git: git://jff.email/opt/git/sane-backends.git
-Vcs-Browser: https://jff.email/cgit/sane-backends.git
+Vcs-Git: git://git.jff.email/sane-backends.git
+Vcs-Browser: https://git.jff.email/cgit/sane-backends.git
 Rules-Requires-Root: no
 
 Package: sane-utils
 Architecture: any
 Multi-Arch: foreign
-Depends: adduser,
-         lsb-base (>= 3.0-6),
-         update-inetd,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ adduser,
+ update-inetd,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Breaks: libsane-common (<<1.1.1-3~)
 Suggests: avahi-daemon, unpaper
 Description: API library for scanners -- utilities
@@ -61,7 +64,8 @@
 Section: libs
 Architecture: all
 Multi-Arch: foreign
-Pre-Depends: dpkg (>= 1.15.7.2)
+Pre-Depends:
+ dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends}
 Breaks: sane-utils (<<1.1.1-3~)
 Replaces: sane-utils (<<1.1.1-3~)
@@ -83,16 +87,17 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Breaks: libsane (<< 1.0.29-1~)
-Replaces: libsane (<< 1.0.29-1~)
-Provides: libsane (= ${binary:Version})
-Depends: acl [linux-any],
-         adduser,
-         libsane-common (= ${source:Version}),
-         udev [linux-any],
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: ipp-usb, sane-airscan, sane-utils (>= ${binary:Version})
+Depends:
+ acl [linux-any],
+ adduser,
+ libsane-common (= ${source:Version}),
+ udev [linux-any],
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ sane-airscan,
+ sane-utils (>= ${binary:Version}),
+ ipp-usb
 Suggests: avahi-daemon, hplip
 Description: API library for scanners
  SANE stands for "Scanner Access Now Easy" and is an application
@@ -113,7 +118,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libsane1 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libsane1 (= ${binary:Version}),
+ ${misc:Depends}
 Description: API development library for scanners [development files]
  SANE stands for "Scanner Access Now Easy" and is an application
  programming interface (API) that provides standardized access to any
@@ -127,22 +134,3 @@
  .
  This package contains the files needed to build your applications
  using SANE.
-
-Package: libsane
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: libsane1 (>= ${source:Version}), ${misc:Depends}
-Description: API library for scanners [transitional package]
- SANE stands for "Scanner Access Now Easy" and is an application
- programming interface (API) that provides standardized access to any
- raster image scanner hardware (flatbed scanner, hand-held scanner,
- video- and still-cameras, frame-grabbers, etc.). The SANE standard is
- free and its discussion and development are open to everybody. The
- current source code is written to support several operating systems,
- including GNU/Linux, OS/2, Win32 and various Unices and is available
- under the GNU General Public License (commercial applications and
- backends are welcome, too, however).
- .
- This package is here to ensure smooth upgrades. It can be removed when
- you see fit.
