## sane-backends 1.3.0

=== debian/changelog ===
sane-backends (1.3.0-2) unstable; urgency=medium

  * Fix FTBFS on hurd-i386 & hurd-amd64 (Closes: #1081122).
    - Thanks to Pino Toscano <pino@debian.org>.
  * debian/libsane1.lintian-overrides:
    - Fix syntax.
  * Declare compliance with Debian Policy 4.7.0.1 (No changes needed).
  * debian/copyright:
    - Rewrite to make lrc happy.
  * New debian/lrc.excludes to suppress false positives.
  * debian/control:
    - Change Vcs-Git from git: to https:.
  * New debian/patches/0180-Escl_force_idle_status.patch:
    - Fix Escl idle status (Closes: #1068794).
  * debian/watch:
    - Rewrite to the new gitlab schema.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 18 Nov 2024 19:51:57 +0100

sane-backends (1.3.0-1) unstable; urgency=medium

  * New upstream release.
    - debian/sane-utils.install: Install new saned.install.md.
    - Refresh patches.
  * debian/control:
    - Replace obsolete pkg-config with pkgconf.
  * New debian/patches/0610-fix_groff_font_warnings.patch:
    - Fix missing font messages.
  * Install saned.service mask symlink into /usr (Closes: #1059186).
    - Thanks to Chris Hofstaedtler <zeha@debian.org>.
  * debian/copyright:
    - Add 2024 to myself.
    - New po/zh_CN.po.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 03 Mar 2024 13:23:47 +0100
