=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: sane-backends
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Standards-Version: 4.6.2.0
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Standards-Version: 4.7.0.1
 Build-Depends:
  autoconf,
  autoconf-archive,
@@ -15,7 +14,7 @@
  libcups2-dev,
  libcurl4-gnutls-dev,
  libgphoto2-dev,
- libieee1284-3-dev [!hurd-i386],
+ libieee1284-3-dev [!hurd-any],
  libjpeg-dev,
  libltdl-dev,
  libpng-dev,
@@ -25,12 +24,12 @@
  libtiff-dev,
  libusb-1.0-0-dev,
  libxml2-dev,
- pkg-config,
+ pkgconf,
  po-debconf,
  xutils-dev,
  python3-minimal:any
 Homepage: http://www.sane-project.org
-Vcs-Git: git://git.jff.email/sane-backends.git
+Vcs-Git: https://git.jff.email/cgit/sane-backends.git
 Vcs-Browser: https://git.jff.email/cgit/sane-backends.git
 Rules-Requires-Root: no
