=== debian/rules ===
--- 
+++ 
@@ -92,6 +92,8 @@
 	$(SANE_DESC) -s $(CURDIR)/doc/descriptions -m hwdb > $(CURDIR)/debian/20-sane.hwdb
 
 	cp $(CURDIR)/debian/20-sane.hwdb $(CURDIR)/debian/libsane1/usr/lib/udev/hwdb.d/
+	cp $(CURDIR)/debian/60-libsane1.rules $(CURDIR)/debian/libsane1/usr/lib/udev/rules.d/
+	cp $(CURDIR)/debian/99-libsane1.rules $(CURDIR)/debian/libsane1/usr/lib/udev/rules.d/
 endif
 
 	dh_install
