## sane-backends 1.3.1

=== debian/changelog ===
sane-backends (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Reenable v4l.
  * debian/libsane1.symbols:
    - Replace hurd-i386 with hurd-any to fix FTBFS (Closes: #1081122).
    - Remove kfreebsd.
  * New debian/patches/0185-fix_memory.patch:
    - Fix memory handling at backends/hp5590_low.c
      (Closes: #1071658, #1071660).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 08 Dec 2024 19:33:14 +0100
