=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  libsystemd-dev [linux-any],
  libtiff-dev,
  libusb-1.0-0-dev,
+ libv4l-dev,
  libxml2-dev,
  pkgconf,
  po-debconf,
