=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,6 @@
 		--with-avahi \
 		--enable-pnm-backend \
 		--with-usb \
-		--without-v4l \
 		--disable-locking
 
 override_dh_autoreconf:
