## sane-backends 1.4.0

=== debian/changelog ===
sane-backends (1.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Removal of patches that were applied by upstream:
      + debian/patches/0180-Escl_force_idle_status.patch
      + debian/patches/0185-fix_memory.patch
      + debian/patches/0190-Fix_scanimage_help.patch
      + debian/patches/0205-ftbfs_with_GCC-15.patch
    - Refresh debian/libsane1.symbols.
  * debian/copyright:
    - Refresh.
    - Fix old FSF address.
  * debian/patches/0125-multiarch_dll_search_path.patch:
    - Fix compiler warning "unknown escape sequence" (Closes: #1107537).
      Thanks to Peter Marschall <peter@adpm.de>.
  * Remove after release trixie (protective diversion for
      upgrades of files moved from / to /usr).
    - debian/libsane1.lintian-overrides.
    - debian/libsane1.postinst
    - debian/libsane1.postrm
    - part of debian/libsane1.preinst.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 13 Sep 2025 17:42:34 +0200

sane-backends (1.3.1-4) unstable; urgency=medium

  * New debian/patches/0205-ftbfs_with_GCC-15.patch (Closes: #1097841).
    - Fix ftbfs with GCC-15.
  * New debian/po/tr.po (Closes: #1104475).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 10 May 2025 08:40:04 +0200

sane-backends (1.3.1-3) unstable; urgency=medium

  * sane-utils.postinst:
    - Add addgroup (Closes: #1100848, #1095956).
  * debian/libsane1.preinst:
    - Run addgroup every time.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 19 Mar 2025 19:23:37 +0100

sane-backends (1.3.1-2) unstable; urgency=medium

  * Fix FTBFS on non-Linux architectures (Closes: #1090801).
    Thanks to Pino Toscano <pino@debian.org>.
  * Move addgroup from debian/libsane1.postinst to debian/libsane1.preinst
    (Closes: #1095956).
  * New debian/patches/0190-Fix_scanimage_help.patch to Fix_output of
    scanimage --help (Closes: #1094671).
  * debian/sane-utils.links: Add link from sane-umax_pp.5.gz to umax_pp.5.gz
    to make lintian happy.
  * Declare compliance with Debian Policy 4.7.2 (No changes needed).
  * debian/copyright:
    - Add 2025 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 16 Mar 2025 11:45:27 +0100
