=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Standards-Version: 4.7.0.1
+Standards-Version: 4.7.2
 Build-Depends:
  autoconf,
  autoconf-archive,
@@ -23,7 +23,7 @@
  libsystemd-dev [linux-any],
  libtiff-dev,
  libusb-1.0-0-dev,
- libv4l-dev,
+ libv4l-dev [linux-any],
  libxml2-dev,
  pkgconf,
  po-debconf,
