=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 	INSTALL_PROGRAM += -s
 	INSTALL_STRIP_FLAG = ""
 	STRIP = ""
+endif
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+	EXTRA_CONFIGURE_ARGS += --with-v4l
+else
+	EXTRA_CONFIGURE_ARGS += --without-v4l
 endif
 
 %:
@@ -48,7 +53,8 @@
 		--with-avahi \
 		--enable-pnm-backend \
 		--with-usb \
-		--disable-locking
+		--disable-locking \
+		$(EXTRA_CONFIGURE_ARGS)
 
 override_dh_autoreconf:
 	dh_autoreconf -Xlibtool.m4
